## org.biojava.bio.seq.io
Class GenEmblFeatureComparator

    java.lang.Object
      org.biojava.bio.seq.io.GenEmblFeatureComparator

All Implemented Interfaces:
  Comparator

Deprecated. Use org.biojavax.bio.seq.io framework instead

    public final class GenEmblFeatureComparator

extends Object
implements Comparator

`GenEmblFeatureComparator` compares `Feature`s by the minimum base position of their `Location`, but places `Feature`s with type "source" first.

Since:
  1.2
Author:
  Keith James

Field Summary
`static Comparator` `INSTANCE` Deprecated.

Method Summary
`int` `compare(Object o1, Object o2)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### INSTANCE

    public static final Comparator INSTANCE

  Deprecated.

Method Detail

### compare

    public int compare(Object o1,
                       Object o2)

  Deprecated.
  Specified by:
    `compare` in interface `Comparator`